# Semi-AutoFits
# Program to correctly place and name SDSS fits files once downloaded, via catalogue

import os
import shutil
from shutil import *
from os import path
from os import chdir
import glob
from glob import *
import subprocess
from subprocess import call

# Changes to the directory where the script is located
abspath = os.path.abspath(__file__)
dname = os.path.dirname(abspath)
os.chdir(dname)

infile = open('ListAGES.txt','r')

nlines = len(infile.readlines())
infile.seek(0)

# Create the directories to hold the files
for i in range(0,nlines):
	line= infile.readline()
	n, r, d = line.split()
	name = str(n)
	os.makedirs(n)
	
infile.seek(0)

infile.close()

infile = open('IDs.txt','r')

nlines = len(infile.readlines())
infile.seek(0)


# Copy the .bz2 files into the appropriate directories and unpack them
for i in range(0,nlines):
	line = infile.readline()
	n, r, c, f = line.split()
	directory = str(n)
	gfilename = str('frame-g-')+str(r).zfill(6)+str('-')+str(c)+str('-')+str(f).zfill(4)+str('.fits.bz2')
	copyfile(gfilename, str(directory)+str('/SDSS_g.fits.bz2'))
	unpack = str('bzip2 -d ./')+str(directory)+str('/SDSS_g.fits.bz2')
	os.system(unpack)
	ifilename = str('frame-i-')+str(r).zfill(6)+str('-')+str(c)+str('-')+str(f).zfill(4)+str('.fits.bz2')
	copyfile(ifilename, str(directory)+str('/SDSS_i.fits.bz2'))
	unpack = str('bzip2 -d ./')+str(directory)+str('/SDSS_i.fits.bz2')
	os.system(unpack)
	

# Remove the original .bz2 files - these can always be re-extracted from the archive	
glist = glob('*g*.fits*')
ilist = glob('*i*.fits*')

for i in range(0,len(glist)):
	os.remove(glist[i])
	os.remove(ilist[i])
	

