# Auto-region
# Program to generate basic ds9 regions from a catalogue list
# Creates a source ellipse, background box and mask circle

import os											
from os import chdir

# Changes to the directory where the script is located
abspath = os.path.abspath(__file__)
dname = os.path.dirname(abspath)
os.chdir(dname)

# Change as appropriate. File must have name, RA (degrees), Dec (degrees)
infile = open('ListAGES.txt','r')

# 1' radius for the source
radius = str(0.0166666)

nlines = len(infile.readlines())
infile.seek(0)

for i in range(0,nlines):
	line = infile.readline()
	n, r, d = line.split()
	name = str(n)
	ra   = float(r)
	dec  = float(d)
	
	regfile = open(name+'/SDSS_g.reg','w')
	
	regfile.write('# Region file format: DS9 version 4.0'+'\n')
	regfile.write('# Filename : '+name+'/SDSS_g.fits'+'\n')
	regfile.write('global color=green font="helvetica 10 normal" select=1 highlite=1 edit=1 move=1 delete=1 include=1 fixed=0 source'+'\n')
	regfile.write('wcs'+'\n')
	s = str(ra)+str(',')+str(dec)+str(',')+str(radius)+str(radius)+str(0.0)+str(')')
	regfile.write('ellipse('+s+'\n')
	s = str(ra-0.03)+str(',')+str(dec)+str(',')+str(0.01)+str(')')
	regfile.write('-circle('+s+'\n')
	s = str(ra+0.03)+str(',')+str(dec)+str(',')+str(0.01)+str(',')+str(0.01)
	regfile.write('box('+s+' # background')
	
	
