# One-shot auto-region - if you only want to do one source
# Program to generate basic ds9 regions from input parameters
# Creates a source ellipse, background box and mask circle

import os											
from os import path
from os import chdir

# Changes to the directory where the script is located
abspath = os.path.abspath(__file__)
dname = os.path.dirname(abspath)
os.chdir(dname)

# Change as appropriate
ra = 346.29542
dec = 14.065

# 1' radius for the source
radius = str(0.0166666)

	
regfile = open('./SDSS_g_2.reg','w')
	
regfile.write('# Region file format: DS9 version 4.0'+'\n')
regfile.write('# Filename : /SDSS_g.fits'+'\n')
regfile.write('global color=green font="helvetica 10 normal" select=1 highlite=1 edit=1 move=1 delete=1 include=1 fixed=0 source'+'\n')
regfile.write('wcs'+'\n')
s = str(ra)+str(',')+str(dec)+str(',')+str(radius)+str(radius)+str(0.0)+str(')')
regfile.write('ellipse('+s+'\n')
s = str(ra-0.03)+str(',')+str(dec)+str(',')+str(0.01)+str(')')
regfile.write('-circle('+s+'\n')
s = str(ra+0.03)+str(',')+str(dec)+str(',')+str(0.01)+str(',')+str(0.01)
regfile.write('box('+s+' # background')
	
	
